# Uses of Class
org.apache.sling.testing.mock.sling.servlet.MockRequestPathInfo

Packages that use MockRequestPathInfo
Package
Description
org.apache.sling.testing.mock.sling.context
Sling context implementation for unit tests.
org.apache.sling.testing.mock.sling.servlet
Mock implementation of selected Servlet-related Sling APIs.

## Uses of MockRequestPathInfo in org.apache.sling.testing.mock.sling.context

Methods in org.apache.sling.testing.mock.sling.context that return MockRequestPathInfo
Modifier and Type
Method
Description
`final @NotNull MockRequestPathInfo`
SlingContextImpl.`requestPathInfo()`

## Uses of MockRequestPathInfo in org.apache.sling.testing.mock.sling.servlet

Methods in org.apache.sling.testing.mock.sling.servlet that return MockRequestPathInfo
Modifier and Type
Method
Description
`protected @NotNull MockRequestPathInfo`
MockSlingHttpServletRequest.`newMockRequestPathInfo()`
Deprecated.
`protected @NotNull MockRequestPathInfo`
MockSlingJakartaHttpServletRequest.`newMockRequestPathInfo()`